import request from '@/config/axios'

export interface WashTargetVO {
  id: string
  ny: string,
  mz: string,
  mzName: string,
  ymdw: string,
  cpl: string,
  ymSf: number,
  ymHf: number,
  ymLf: number,
  jmSf: number,
  jmHf: string,
  jmLf: string,
  jmHff: string,
  jmNj: string,
  jmJzc: string,
  zmHf: string,
  zmLf: string,
  gsHf: string,
}

export interface WashTargetPageReqVO extends PageParam {
  ny?: string,
}

// 查询WashTarget列表
export const getWashTargetPage = (params: WashTargetVO) => {
  return request.get({ url: '/coal-quality/wash/target/page', params })
}

// 查询WashTarget详情
export const getWashTarget = (id: string) => {
  return request.get({ url: '/coal-quality/wash/target/get?id=' + id})
}

// 新增WashTarget
export const createWashTarget = (data: WashTargetVO) => {
  return request.post({ url: '/coal-quality/wash/target/create', data })
}

// 修改WashTarget
export const updateWashTarget = (data: WashTargetVO) => {
  return request.put({ url: '/coal-quality/wash/target/update', data })
}

// 删除WashTarget
export const deleteWashTarget = (ids) => {
  const data = ids
  return request.delete({ url: '/coal-quality/wash/target/delete?id=' + data })
}
